package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractAttachmentStoragePathConfigInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractAttachmentStoragePathConfigInfo()
    {
        this("id");
    }
    protected AbstractAttachmentStoragePathConfigInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:附件存储路径配置's 第一类别property 
     */
    public String getFirstCategory()
    {
        return getString("firstCategory");
    }
    public void setFirstCategory(String item)
    {
        setString("firstCategory", item);
    }
    /**
     * Object:附件存储路径配置's 第二类别property 
     */
    public String getSecondCategory()
    {
        return getString("secondCategory");
    }
    public void setSecondCategory(String item)
    {
        setString("secondCategory", item);
    }
    /**
     * Object:附件存储路径配置's 附件组件标识property 
     */
    public String getComponentId()
    {
        return getString("componentId");
    }
    public void setComponentId(String item)
    {
        setString("componentId", item);
    }
    /**
     * Object:附件存储路径配置's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("F0E9A80E");
    }
}